<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Order;

/**
 * Class Product
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Order
 */
class Product extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * Product Model
     *
     * @var \Magento\Catalog\Model\Product
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'order_product';

    /**
     * @var string
     */
    protected $_type = 'eav';

    /**
     * @var array
     */
    protected $_exclude = ['attribute_set_id','entity_id','row_id','type_id'];

    /**
     * Attributes constructor.
     * @param \Magento\Catalog\Model\Product $product
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Catalog\Model\Product $product,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->_model = $product;
        parent::__construct($context, $data);
    }


}